<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui">
<body>
	<ui:composition>
		<h:panelGroup rendered="#{userCreationMB.showSeccionInvestigacion}">
		<p:separator />
		<div class="row box-mb">
			<div class="col-sm-12">
				<label class="control-label"><b><ui:insert name="seccion_investigacion_titulo">
					<h:panelGroup rendered="#{userCreationMB.showSeccionInvestigacion}">
						<div>DATOS DE INVESTIGACIÓN</div>
					</h:panelGroup>				
				</ui:insert></b></label>
			</div>
		</div>
		</h:panelGroup>
		<div class="row box-mb">
			<h:panelGroup rendered="#{userCreationMB.showSeccionInvestigacion}">
			<p:fieldset>
				<fieldset>
					<p:panel id="InvestigacionPanel" style="border: 0px solid #EDEDED;">
						<div class="row box-mb">
							<div class="col-sm-12">
								<ui:insert name="seccion_investigacion_campo_tema_investigacion">
									<h:panelGroup rendered="#{userCreationMB.showSeccionInvestigacion}">
										<h:outputLabel 	for="txtTemaInvestigacion" value="Tema a investigar:" styleClass="control-label">
										</h:outputLabel><span class="style_requerido">*</span>
										<p:inputText value="#{userCreationMB.request.user.temaInvestigacion}" id="txtTemaInvestigacion" maxlength="100" 
													required="false" style="text-transform: uppercase;" styleClass="form-control" tabindex="1" />	
									</h:panelGroup>
								</ui:insert>
							</div>
						</div>
						<div class="row box-mb">
							<div class="col-sm-12">
								<ui:insert name="seccion_investigacion_campo_adjuntar">
									<h:panelGroup rendered="#{userCreationMB.showSeccionInvestigacion}">
										<h:outputLabel id="lblAdj" for="fileUplAdj" 
											value="Carta adjunta: [ #{userCreationMB.request.user.cartaPresentacion.fileName} ]"
											styleClass="control-label" />
										<h:commandLink
											actionListener="#{userCreationMB.downloadCartaPresentacionUsuario}"
											ajax="false">
											<p:fileDownload value="#{userCreationMB.streamedContent}" />
											<i class="fa fa-download"></i>
										</h:commandLink>
										<p:fileUpload id="fileUplAdj"
											fileUploadListener="#{userCreationMB.handleFileUploadLetter}" 
											mode="advanced" dragDropSupport="false" auto="true"
											label="Seleccionar" uploadLabel="Subir" cancelLabel="Cancelar"
											update="lblAdj" sizeLimit="350000000" fileLimit="1" 
											allowTypes="/(\.|\/)(doc|docx|pdf|jpg|jpeg|png|gif)$/"
											invalidSizeMessage="El archivo que intenta subir supera el tamaño máximo permitido."
											invalidFileMessage="Tipo de archivo Inválido. Solo se permite adjuntar archivos Word y PDF."
											fileLimitMessage="Excedió el número de archivos permitidos." />	
									</h:panelGroup>
								</ui:insert>
							</div>
						</div>
						<div class="row box-mb">
							<div class="col-sm-12">
								<ui:insert name="seccion_investigacion_campo_institucion_avala">
									<h:panelGroup rendered="#{userCreationMB.showSeccionInvestigacion}">
										<h:panelGrid columns="2" cellpadding="5">
										<h:outputLabel 	for="institucionAvala" value="Institución que avala:" styleClass="control-label"></h:outputLabel><span class="style_requerido">*</span>
											<p:selectOneRadio id="institucionAvala" value="#{userCreationMB.request.user.tipoInstitucionAvala}" styleClass="form-control">
									            <f:selectItem itemValue="Centro Laboral" itemLabel="&#160;Centro Laboral&#160;" />
									            <f:selectItem itemValue="Centro de Estudios" itemLabel="&#160;Centro de Estudios" />
									        </p:selectOneRadio>
								        </h:panelGrid>	    	
									</h:panelGroup>
								</ui:insert>
							</div>
						</div>
					</p:panel>
				</fieldset>
			</p:fieldset>
			</h:panelGroup>
		</div>
	</ui:composition>
</body>
</html>